set OBST;

param zeit_saat{OBST} >=0;
param zeit_ernte{OBST} >=0;
param platz{OBST};
param gewinn{OBST}>=0;
param saat_min{OBST}>=0;
param saat_max{OBST}>=0;

param zeit_saat_insg;
param zeit_ernte_insg;
param platz_insg;

var baum{i in OBST} >=saat_min[i], <= saat_max[i];

#-------------------------------------------------------------------
maximize Gewinn: sum{i in OBST} gewinn[i]*baum[i];

subject to Platz: sum{i in OBST} platz[i]*baum[i] <= platz_insg;

subject to Saat: sum{i in OBST} zeit_saat[i]*baum[i] <= zeit_saat_insg;

subject to Ernte: sum{i in OBST} zeit_ernte[i]*baum[i] <= zeit_ernte_insg;

