set TAGE := 0..6 circular;

param bedarf {TAGE} >=0;       #Bedarf an Angestellten pro Tag

var angest {TAGE} integer >=0;         #Anzahl der Angestellten die an einem Tag ihre Schicht beginnen

#---------------------------------------------------------------------------------------------
minimize Gesamtangestellte: sum{i in TAGE} angest[i];    #minimiere die Gesamtanzahl der notwendigen Angestellten

subject to taegl_Bedarf {i in TAGE}: 
       sum{j in TAGE: j != next(i,TAGE)  and j!= next(i,TAGE,2) } angest[j]  >= bedarf[i]; 
							 
